Subject: bug#14147: 24.3.50; turn on `minibuffer-depth-indicator-mode' by default

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 29 Apr 2016 01:20:18 +0200

"Drew Adams" <[email-masked]> writes:

> It is unfortunate that this minor mode is still not turned on by
> default.  There is no reason not to do so.  The mode has no effect when
> there is no recursive minibuffer, which is most of the time.

I guess there's little point in having a global mode switched on when
virtually no users will be using it.  Having it on would mean Emacs
should be dumped with mb-depth.el, and I don't see that happening.

However, I think everybody who uses `enable-recursive-minibuffers' would
probably prefer that it's on.  I've now mentioned this mode in the doc
string of the latter.

Closing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no